# GstVideoAffineTransformationMeta

Extra buffer metadata for performing an affine transformation using a 4x4 matrix. The transformation matrix can be composed with gst_video_affine_transformation_meta_apply_matrix.

The vertices operated on are all in the range 0 to 1, not in Normalized Device Coordinates (-1 to +1). Transforming points in this space are assumed to have an origin at (0.5, 0.5, 0.5) in a left-handed coordinate system with the x-axis moving horizontally (positive values to the right), the y-axis moving vertically (positive values up the screen) and the z-axis perpendicular to the screen (positive values into the screen).

### Members

`meta` (GstMeta) –

parent GstMeta

`matrix` (gfloat *) –

the column-major 4x4 transformation matrix

Since : 1.8

## GstVideo.VideoAffineTransformationMeta

Extra buffer metadata for performing an affine transformation using a 4x4 matrix. The transformation matrix can be composed with GstVideo.VideoAffineTransformationMeta.prototype.apply_matrix.

The vertices operated on are all in the range 0 to 1, not in Normalized Device Coordinates (-1 to +1). Transforming points in this space are assumed to have an origin at (0.5, 0.5, 0.5) in a left-handed coordinate system with the x-axis moving horizontally (positive values to the right), the y-axis moving vertically (positive values up the screen) and the z-axis perpendicular to the screen (positive values into the screen).

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`matrix` ([ Number ]) –

the column-major 4x4 transformation matrix

Since : 1.8

## GstVideo.VideoAffineTransformationMeta

Extra buffer metadata for performing an affine transformation using a 4x4 matrix. The transformation matrix can be composed with GstVideo.VideoAffineTransformationMeta.apply_matrix.

The vertices operated on are all in the range 0 to 1, not in Normalized Device Coordinates (-1 to +1). Transforming points in this space are assumed to have an origin at (0.5, 0.5, 0.5) in a left-handed coordinate system with the x-axis moving horizontally (positive values to the right), the y-axis moving vertically (positive values up the screen) and the z-axis perpendicular to the screen (positive values into the screen).

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`matrix` ([ float ]) –

the column-major 4x4 transformation matrix

Since : 1.8

### Methods

#### gst_video_affine_transformation_meta_apply_matrix

    gst_video_affine_transformation_meta_apply_matrix (GstVideoAffineTransformationMeta * meta,
                                                       const gfloat * matrix)

Apply a transformation using the given 4x4 transformation matrix. Performs the multiplication, meta->matrix X matrix.

Parameters:

`meta` –

a GstVideoAffineTransformationMeta

`matrix` ( [array fixed-size=16]) –

a 4x4 transformation matrix to be applied

Since : 1.8

#### GstVideo.VideoAffineTransformationMeta.prototype.apply_matrix

    function GstVideo.VideoAffineTransformationMeta.prototype.apply_matrix(matrix: [ Number ]): {
        // javascript wrapper for 'gst_video_affine_transformation_meta_apply_matrix'
    }

Apply a transformation using the given 4x4 transformation matrix. Performs the multiplication, meta->matrix X matrix.

Parameters:

`meta` (GstVideo.VideoAffineTransformationMeta) –

a GstVideo.VideoAffineTransformationMeta

`matrix` ([ Number ]) –

a 4x4 transformation matrix to be applied

Since : 1.8

#### GstVideo.VideoAffineTransformationMeta.apply_matrix

    def GstVideo.VideoAffineTransformationMeta.apply_matrix (self, matrix):
        #python wrapper for 'gst_video_affine_transformation_meta_apply_matrix'

Apply a transformation using the given 4x4 transformation matrix. Performs the multiplication, meta->matrix X matrix.

Parameters:

`meta` (GstVideo.VideoAffineTransformationMeta) –

a GstVideo.VideoAffineTransformationMeta

`matrix` ([ float ]) –

a 4x4 transformation matrix to be applied

Since : 1.8

### Functions

#### gst_video_affine_transformation_meta_get_info

    const GstMetaInfo *
    gst_video_affine_transformation_meta_get_info ()

Returns –
No description available

#### GstVideo.prototype.video_affine_transformation_meta_get_info

    function GstVideo.prototype.video_affine_transformation_meta_get_info(): {
        // javascript wrapper for 'gst_video_affine_transformation_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstVideo.video_affine_transformation_meta_get_info

    def GstVideo.video_affine_transformation_meta_get_info ():
        #python wrapper for 'gst_video_affine_transformation_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## Functions

### gst_buffer_add_video_affine_transformation_meta

    GstVideoAffineTransformationMeta *
    gst_buffer_add_video_affine_transformation_meta (GstBuffer * buffer)

Attaches GstVideoAffineTransformationMeta metadata to buffer with the given parameters.

Parameters:

`buffer` –

a GstBuffer

Returns ( [transfer: none]) –

the GstVideoAffineTransformationMeta on buffer.

Since : 1.8

### GstVideo.prototype.buffer_add_video_affine_transformation_meta

    function GstVideo.prototype.buffer_add_video_affine_transformation_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_video_affine_transformation_meta'
    }

Attaches GstVideoAffineTransformationMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstVideo.VideoAffineTransformationMeta) –

the GstVideo.VideoAffineTransformationMeta on buffer.

Since : 1.8

### GstVideo.buffer_add_video_affine_transformation_meta

    def GstVideo.buffer_add_video_affine_transformation_meta (buffer):
        #python wrapper for 'gst_buffer_add_video_affine_transformation_meta'

Attaches GstVideoAffineTransformationMeta metadata to buffer with the given parameters.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstVideo.VideoAffineTransformationMeta) –

the GstVideo.VideoAffineTransformationMeta on buffer.

Since : 1.8

### gst_video_affine_transformation_meta_api_get_type

    GType
    gst_video_affine_transformation_meta_api_get_type ()

Returns –
No description available

### GstVideo.prototype.video_affine_transformation_meta_api_get_type

    function GstVideo.prototype.video_affine_transformation_meta_api_get_type(): {
        // javascript wrapper for 'gst_video_affine_transformation_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstVideo.video_affine_transformation_meta_api_get_type

    def GstVideo.video_affine_transformation_meta_api_get_type ():
        #python wrapper for 'gst_video_affine_transformation_meta_api_get_type'

Returns (GObject.Type) –
No description available

## Function Macros

### gst_buffer_get_video_affine_transformation_meta

    #define gst_buffer_get_video_affine_transformation_meta(b) \
        ((GstVideoAffineTransformationMeta *)gst_buffer_get_meta((b),GST_VIDEO_AFFINE_TRANSFORMATION_META_API_TYPE))

## Constants

### GST_BUFFER_POOL_OPTION_VIDEO_AFFINE_TRANSFORMATION_META

    #define GST_BUFFER_POOL_OPTION_VIDEO_AFFINE_TRANSFORMATION_META "GstBufferPoolOptionVideoAffineTransformation"

### GstVideo.BUFFER_POOL_OPTION_VIDEO_AFFINE_TRANSFORMATION_META

### GST_CAPS_FEATURE_META_GST_VIDEO_AFFINE_TRANSFORMATION_META

    #define GST_CAPS_FEATURE_META_GST_VIDEO_AFFINE_TRANSFORMATION_META "meta:GstVideoAffineTransformation"

### GstVideo.CAPS_FEATURE_META_GST_VIDEO_AFFINE_TRANSFORMATION_META

### GST_VIDEO_AFFINE_TRANSFORMATION_META_API_TYPE

    #define GST_VIDEO_AFFINE_TRANSFORMATION_META_API_TYPE (gst_video_affine_transformation_meta_api_get_type())

### GST_VIDEO_AFFINE_TRANSFORMATION_META_INFO

    #define GST_VIDEO_AFFINE_TRANSFORMATION_META_INFO  (gst_video_affine_transformation_meta_get_info())

## Callbacks

### GstVideoAffineTransformationGetMatrix

    gboolean
    (*GstVideoAffineTransformationGetMatrix) (GstVideoAffineTransformationMeta * meta,
                                              gfloat * matrix)

Parameters:

`meta` –
No description available
`matrix` –
No description available
Returns –
No description available

### GstVideo.VideoAffineTransformationGetMatrix

    function GstVideo.VideoAffineTransformationGetMatrix(meta: GstVideo.VideoAffineTransformationMeta, matrix: Number): {
        // javascript wrapper for 'GstVideoAffineTransformationGetMatrix'
    }

Parameters:

`meta` (GstVideo.VideoAffineTransformationMeta) –
No description available
`matrix` (Number) –
No description available
Returns (Number) –
No description available

### GstVideo.VideoAffineTransformationGetMatrix

    def GstVideo.VideoAffineTransformationGetMatrix (meta, matrix):
        #python wrapper for 'GstVideoAffineTransformationGetMatrix'

Parameters:

`meta` (GstVideo.VideoAffineTransformationMeta) –
No description available
`matrix` (float) –
No description available
Returns (bool) –
No description available

The results of the search are